import React, { useEffect } from 'react';
import Taro from '@tarojs/taro';
import { AppProvider } from './contexts/AppProvider';
import './app.scss';

/**
 * 初始化云开发环境
 */
function initCloud() {
  const env = 'lineforfun-dev';
  
  if (process.env.TARO_ENV === 'weapp') {
    if (!Taro.cloud) {
      console.error('请使用 2.2.3 或以上的基础库以使用云能力');
    } else {
      Taro.cloud.init({
        env,
        traceUser: true
      });
      console.log('云开发初始化成功');
    }
  }
}

function App({ children }: {children: React.ReactNode}) {
  useEffect(() => {
    initCloud();
  }, []);

  return (
    <AppProvider>
      {children}
    </AppProvider>
  );
}

export default App;